QGIS Application - Bug report #17563
$area function is not always working properly when OTF is activated
2017-11-27 01:26 PM - Jose Manuel

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.18.14 Regression?: No
Operating System: WIN 7 64bit Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 25460
Description

Hi,

| have detected a possible bug in Qgis and | would like to report it.

| use EPSG:25829 with OTF activated.

The $area function is not always working properly when OTF is activated, as it should. Sometimes there is a minimal error when
calculating surfaces that shows up in big polygons.

The error seems to dissapear when temporarily dissabling OTF in Project properties.

| have seen this error in 2.14 and in 2.18.

Thanks

History

#1 - 2017-11-27 11:35 PM - Giovanni Manghi
- Priority changed from High to Normal
- Category changed from Geometry to Vectors

- Status changed from Open to Feedback

So, to clarify: you get different area values for the same polygon when computed several times within the same project or in different projects?
If is the latter you must check if the two projects are using the same reference ellipsoid, check in the project properties.

#2 - 2017-11-28 11:24 AM - Jose Manuel
- File 2017150657.shx added

- File 2017150657.shp added

- File 2017150657.qpj added

- File 2017150657.prj added

- File 2017150657.dbf added

| get different area values for the same polygon within the same project.

| send you a shape with the two values:
- "ha" was the value got with OTF activated.

- "Vexiza" was the value got without OTF activated.

Thanks

#3 - 2017-11-29 06:48 AM - Nyall Dawson

- Assignee set to Nyall Dawson

#4 - 2018-11-11 01:03 AM - Jiirgen Fischer
- Status changed from Feedback to Open

#5 - 2018-11-11 02:14 AM - Nyall Dawson
- Assignee deleted (Nyall Dawson)

#6 - 2018-11-12 12:22 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try again with 3.4.1

#7 - 2019-01-21 12:34 AM - Jiirgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#8 - 2019-01-26 11:42 AM - salvatore fiandaca

I do not think it's a bug, from the definition of the $ area function we read:

[Returns the area of a geometry polygon object. Calculations are always planimetric in the Spatial Reference System (SRS) of this geometry, and the units

of the returned area will match the units for the SRS. This differs from the calculations performed by the $area function, which will perform ellipsoidal

calculations based on the project's ellipsoid and area unit settings.]

so it is normal that the values calculated with OTF on or off are different.

#9 - 2019-02-23 10:45 AM - salvatore fiandaca
- Status changed from Feedback to Closed

Files

2017150657.dbf 120 Bytes 2017-11-28 Jose Manuel

2017150657 .prj 389 Bytes 2017-11-28 Jose Manuel

2017150657.shp 2.36 KB 2017-11-28 Jose Manuel

2017150657.qpj 658 Bytes 2017-11-28 Jose Manuel

2017150657.shx 108 Bytes 2017-11-28 Jose Manuel
